Loading...
Searching...
No Matches
mbedtls_chacha20_context Struct Reference

`#include <chacha20.h>`

## Data Fields

uint32_t | private_state [16]
uint8_t | private_keystream8 [64]
size_t | private_keystream_bytes_used
int | dummy

## Detailed Description

Definition at line 38 of file chacha20.h.

## Field Documentation

## dummy

int mbedtls_chacha20_context::dummy

Definition at line 11 of file chacha20_alt.h.

## private_keystream8

uint8_t mbedtls_chacha20_context::private_keystream8[64]

The state (before round operations).

Definition at line 40 of file chacha20.h.

## private_keystream_bytes_used

size_t mbedtls_chacha20_context::private_keystream_bytes_used

Leftover keystream bytes.

Definition at line 41 of file chacha20.h.

## private_state

uint32_t mbedtls_chacha20_context::private_state[16]

Definition at line 39 of file chacha20.h.

The documentation for this struct was generated from the following files:

- chacha20.h
- chacha20_alt.h